: Class PollManager

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## PollManager
Class PollManager

    java.lang.Object
      |
      +--PollManager.PollManager

public class PollManager
extends java.lang.Object

PollManager Class initialises and starts the PollManager software.

Version:
  0.2 12 June 2001
Author:
  Jason Kitcat, Rajagopal C.V

Field Summary
`protected static boolean` | `carryOn`
`protected static java.lang.String` | `code`
`protected static Comms` | `comms`
`protected static java.lang.String` | `country`
`protected static java.util.Locale` | `currentLocale`
`protected static EnterFrame` | `frame`
`protected static DetailFrame` | `frame2`
`protected static StatusFrame` | `frame3`
`protected static java.lang.String` | `language`
`protected static java.util.ResourceBundle` | `messages`
`protected static java.lang.String` | `name`
`protected static java.lang.String` | `pword`
`protected static long` | `timeOutTime`
`protected static java.lang.String` | `vote_where`
`protected static java.lang.String` | `voted`

Constructor Summary
`protected` | `PollManager()` PollManager() is the constructor which creates all the AWT frames and launches the splash screen.

Method Summary
`protected static void` | `cleanup()` Cleanup clears out variables prior to restarting management process.
`protected static boolean` | `isSafe(java.lang.String input)` checks String input to make sure it only contains safe characters.
`static void` | `main(java.lang.String[] args)`

Methods inherited from class java.lang.Object
`, clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### language

    protected static java.lang.String language

### country

    protected static java.lang.String country

### timeOutTime

    protected static final long timeOutTime

### carryOn

    protected static boolean carryOn

### currentLocale

    protected static java.util.Locale currentLocale

### messages

    protected static java.util.ResourceBundle messages

### name

    protected static java.lang.String name

### code

    protected static java.lang.String code

### pword

    protected static java.lang.String pword

### voted

    protected static java.lang.String voted

### vote_where

    protected static java.lang.String vote_where

### frame

    protected static EnterFrame frame

### frame2

    protected static DetailFrame frame2

### frame3

    protected static StatusFrame frame3

### comms

    protected static Comms comms

Constructor Detail

### PollManager

    protected PollManager()

  PollManager() is the constructor which creates all the AWT frames and launches the splash screen.

Method Detail

### main

    public static void main(java.lang.String[] args)

### cleanup

    protected static void cleanup()

  Cleanup clears out variables prior to restarting management process.

### isSafe

    protected static boolean isSafe(java.lang.String input)

  checks String input to make sure it only contains safe characters. It's not pretty but regular expression packages tried all were far too slow. [Adapted from dbase one in servers]
  Parameters:
    `input` - The String to check
  Since:
    1.5

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD